import { Constants } from "../../Constants";
export class AlRenderOrderComponent {
    static get Object() {
        return {
            schema: {
                order: { type: "number", default: Constants.topLayerRenderOrder }
            },
            init(_data) {
                Object.keys(this.el.object3DMap).forEach(key => {
                    this.el.object3DMap[key].renderOrder = this.data.order;
                });
            },
            update() {
                Object.keys(this.el.object3DMap).forEach(key => {
                    this.el.object3DMap[key].renderOrder = this.data.order;
                });
            }
        };
    }
    static get Tag() {
        return "al-render-order";
    }
}
